org.apache.poi.ss.formula.ptg

## Class AttrPtg.SpaceType

- java.lang.Object
- - org.apache.poi.ss.formula.ptg.AttrPtg.SpaceType

- Enclosing class:
    AttrPtg

      public static final class AttrPtg.SpaceType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CR_BEFORE` 01H = Carriage returns before the next token (not allowed before tParen token)
    `static int` | `CR_BEFORE_CLOSE_PAREN` 05H = Carriage returns before closing parenthesis (only allowed before tParen, tFunc, and tFuncVar tokens)
    `static int` | `CR_BEFORE_OPEN_PAREN` 03H = Carriage returns before opening parenthesis (only allowed before tParen token)
    `static int` | `SPACE_AFTER_EQUALITY` 06H = Spaces following the equality sign (only in macro sheets)
    `static int` | `SPACE_BEFORE` 00H = Spaces before the next token (not allowed before tParen token)
    `static int` | `SPACE_BEFORE_CLOSE_PAREN` 04H = Spaces before closing parenthesis (only allowed before tParen, tFunc, and tFuncVar tokens)
    `static int` | `SPACE_BEFORE_OPEN_PAREN` 02H = Spaces before opening parenthesis (only allowed before tParen token)

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPACE_BEFORE

          public static final int SPACE_BEFORE

      00H = Spaces before the next token (not allowed before tParen token)
      See Also:
        Constant Field Values

    - #### CR_BEFORE

          public static final int CR_BEFORE

      01H = Carriage returns before the next token (not allowed before tParen token)
      See Also:
        Constant Field Values

    - #### SPACE_BEFORE_OPEN_PAREN

          public static final int SPACE_BEFORE_OPEN_PAREN

      02H = Spaces before opening parenthesis (only allowed before tParen token)
      See Also:
        Constant Field Values

    - #### CR_BEFORE_OPEN_PAREN

          public static final int CR_BEFORE_OPEN_PAREN

      03H = Carriage returns before opening parenthesis (only allowed before tParen token)
      See Also:
        Constant Field Values

    - #### SPACE_BEFORE_CLOSE_PAREN

          public static final int SPACE_BEFORE_CLOSE_PAREN

      04H = Spaces before closing parenthesis (only allowed before tParen, tFunc, and tFuncVar tokens)
      See Also:
        Constant Field Values

    - #### CR_BEFORE_CLOSE_PAREN

          public static final int CR_BEFORE_CLOSE_PAREN

      05H = Carriage returns before closing parenthesis (only allowed before tParen, tFunc, and tFuncVar tokens)
      See Also:
        Constant Field Values

    - #### SPACE_AFTER_EQUALITY

          public static final int SPACE_AFTER_EQUALITY

      06H = Spaces following the equality sign (only in macro sheets)
      See Also:
        Constant Field Values

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.